﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new MainWindowViewModel();
            theGrid.SelectionSettings.SelectedColumns.CollectionChanged += SelectedColumns_CollectionChanged;
        }

        void SelectedColumns_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            
            if (e.NewItems != null)
            {
                if (e.NewItems[0] != null)
                {
                    Column c = e.NewItems[0] as Column;
                    string str = c.Key;

                    MainWindowViewModel mwvm = c.ColumnLayout.Grid.DataContext as MainWindowViewModel;

                    DataColumn column = new DataColumn();
                    foreach (DataColumn dc in mwvm.GridItems.Table.Columns)
                    {
                        if (dc.ColumnName.Equals(str))
                        {
                            column = dc;
                            break;
                        }
                    }
                }
            }
        }
    }
}
