﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, IDataErrorInfo
    {
        
        public int Lifetime { get; set; }

        public MainWindow()
        {
            this.DataContext = this;
        
            InitializeComponent();

            this.txt.Value = "";
        }

        private void txt_ValidationError(object sender, Infragistics.Controls.Editors.EditModeValidationErrorEventArgs e)
        {
            e.ErrorMessage = "Some new error message";
        }


        public string Error
        {
            get { throw new NotImplementedException(); }
        }

        public string this[string columnName]
        {
            get
                {
                if (columnName == "Lifetime")
                {
                    if (Lifetime < 10)
                    {
                        return "Value cannot be less than 10";
                    }                    
                }
                return null;
            }            
        }
    }
}
